# Disassociate a Shared Custom Field from an object type

DELETE https://api.close.com/api/v1/custom_field/shared/{scf_id}/association/{object_type}/

Remove the association between a shared custom field and an object type. The field will immediately disappear from API responses for that object type and all stored values will be permanently deleted.

The `object_type` in the URL can be `lead`, `contact`, `opportunity`, `custom_activity_type/<catype_id>`, or `custom_object_type/<cotype_id>`.

If the field was `required` on the associated type, removing the association also removes that requirement.

Reference: https://developer.close.com/api/resources/custom-fields/custom-fields-shared/delete-association

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /custom_field/shared/{scf_id}/association/{object_type}/:
    delete:
      operationId: delete-association
      summary: Disassociate a Shared Custom Field from an object type
      description: >-
        Remove the association between a shared custom field and an object type.
        The field will immediately disappear from API responses for that object
        type and all stored values will be permanently deleted.


        The `object_type` in the URL can be `lead`, `contact`, `opportunity`,
        `custom_activity_type/<catype_id>`, or `custom_object_type/<cotype_id>`.


        If the field was `required` on the associated type, removing the
        association also removes that requirement.
      tags:
        - subpackage_customFieldsShared
      parameters:
        - name: scf_id
          in: path
          required: true
          schema:
            type: string
        - name: object_type
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```